Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web.loadbalancer.monitor
Interface AbstractMonitorMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Subinterfaces:
  ECVMonitorServiceMBean, SimpleMonitorServiceMBean

All Known Implementing Classes:
  AbstractMonitor, ECVMonitorService, SimpleMonitorService

public interface AbstractMonitorMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`long` | `getInterval()`
`String` | `getPath()`
`javax.management.ObjectName` | `getScheduler()`
`int` | `getTimeout()`
`void` | `setInterval(long interval)`
`void` | `setPath(String path)`
`void` | `setScheduler(javax.management.ObjectName schedulerObjectName)`
`void` | `setTimeout(int timeout)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### setPath

    public void setPath(String path)

### getPath

    public String getPath()

### setInterval

    public void setInterval(long interval)

### getInterval

    public long getInterval()

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int timeout)

### getScheduler

    public javax.management.ObjectName getScheduler()

### setScheduler

    public void setScheduler(javax.management.ObjectName schedulerObjectName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.